require( "scripts/style.lua" );



function EnableNanny( nannyNumber )

	if (nannyNumber == -1) then
		EnableWindow("nanny_0", false);
		EnableWindow("nanny_1", false);
		EnableWindow("nanny_2", false);
	end

	if (nannyNumber == 0) then
		EnableWindow("nanny_0", true);
		EnableWindow("nanny_1", false);
		EnableWindow("nanny_2", false);
	end

	if (nannyNumber == 1) then
		EnableWindow("nanny_0", false);
		EnableWindow("nanny_1", true);
		EnableWindow("nanny_2", false);
	end

	if (nannyNumber == 2) then
		EnableWindow("nanny_0", false);
		EnableWindow("nanny_1", false);
		EnableWindow("nanny_2", true);
	end

end

function FamilyNumber( familyNumber )

	if (familyNumber == 0) then
		EnableWindow("textfamily1", false);
		EnableWindow("textfamily2", false);
		EnableWindow("textfamily3", false);
		EnableWindow("textfamily4", false);
		EnableWindow("textfamily5", false);
	end

	if (familyNumber == 1) then
		EnableWindow("textfamily1", true);
		EnableWindow("textfamily2", false);
		EnableWindow("textfamily3", false);
		EnableWindow("textfamily4", false);
		EnableWindow("textfamily5", false);	
	end

	if (familyNumber == 2) then
		EnableWindow("textfamily1", false);
		EnableWindow("textfamily2", true);
		EnableWindow("textfamily3", false);
		EnableWindow("textfamily4", false);
		EnableWindow("textfamily5", false);	
	end

	if (familyNumber == 3) then
		EnableWindow("textfamily1", false);
		EnableWindow("textfamily2", false);
		EnableWindow("textfamily3", true);
		EnableWindow("textfamily4", false);
		EnableWindow("textfamily5", false);	
	end

	if (familyNumber == 4) then
		EnableWindow("textfamily1", false);
		EnableWindow("textfamily2", false);
		EnableWindow("textfamily3", false);
		EnableWindow("textfamily4", true);
		EnableWindow("textfamily5", false);	
	end

	if (familyNumber == 5) then
		EnableWindow("textfamily1", false);
		EnableWindow("textfamily2", false);
		EnableWindow("textfamily3", false);
		EnableWindow("textfamily4", false);
		EnableWindow("textfamily5", true);	
	end

end

MakeDialog
{
name = "cutscene_window_intro_2",
	Bitmap
	{
align=kHAlignLeft + kVAlignTop,
		name = "background",
		image = "alt_cutscenes/intro/intro_bg_2",
		x = 0,
		y = 0,
		scale = 1.00,
		Text
		{
			x = 69,
			y = 548,
			w = 886,
			h = 130,
			font = {
				oldsansblackFont,
				40,
				RedTextColor
			},
			label = "#"..GetString("alternative_cuts_intro2", GetString("family"..gDialogTable.family)),
			flags = kHAlignCenter + kVAlignCenter,
		},
		Text
		{
			x = 300,
			y = 422,
			w = 100,
			h = 70,
			name = "textfamily1",
			font = {
				oldsansblackFont,
				22,
				BlackColor
			},
			label = "family1",
			flags = kHAlignCenter + kVAlignCenter,
		},
		Text
		{
			x = 300,
			y = 422,
			w = 100,
			h = 70,
			name = "textfamily2",
			font = {
				oldsansblackFont,
				22,
				BlackColor
			},
			label = "family2",
			flags = kHAlignCenter + kVAlignCenter,
		},
		Text
		{
			x = 300,
			y = 422,
			w = 100,
			h = 70,
			name = "textfamily3",
			font = {
				oldsansblackFont,
				22,
				BlackColor
			},
			label = "family3",
			flags = kHAlignCenter + kVAlignCenter,
		},
		Text
		{
			x = 300,
			y = 422,
			w = 100,
			h = 70,
			name = "textfamily4",
			font = {
				oldsansblackFont,
				22,
				BlackColor
			},
			label = "family4",
			flags = kHAlignCenter + kVAlignCenter,
		},
		Text
		{
			x = 300,
			y = 422,
			w = 100,
			h = 70,
			name = "textfamily5",
			font = {
				oldsansblackFont,
				22,
				BlackColor
			},
			label = "family5",
			flags = kHAlignCenter + kVAlignCenter,
		},
		Bitmap
		{
			name = "nanny_2",
			image = "alt_cutscenes/intro/betty_pushing",
			x = 258,
			y = 66,
			scale = 1.00,
		},
		Bitmap
		{
			name = "nanny_0",
			image = "alt_cutscenes/intro/claudia_pushing",
			x = 258,
			y = 103,
			scale = 1.00
		},
		Bitmap
		{
			name = "nanny_1",
			image = "alt_cutscenes/intro/matilda_pushing",
			x = 258,
			y = 86,
			scale = 1.00
		},
		SetStyle( MenuButtonStyle ),
		Button
		{
			name = "button_next",
			x=727,
			y=500,
			graphics = MediumButton2Graphics,
			MenuButtonLabel(0, 0, 152, 34, "next", oldsansblackFont, 24, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),
			close = true,
			command=
				function()
					PopModal("cutscene_window_intro_1");
				end
		},
	}
}

EnableNanny( gDialogTable.nanny );
FamilyNumber( gDialogTable.family );